<script setup>
import api from '@/api/api'
import { ref, onMounted } from 'vue'
import ServiceImgEnum from '@/enums/ServiceImgEnum.ts'

const ServiceImg = ref(ServiceImgEnum)
const { slug } = useRoute().params
const service = ref({})
onMounted(() => {
    if (slug) {
        api.get(`service/${slug}`).then(res => {
            service.value = res?.data?.data
        })
    }
})
</script>

<template>
    <div class="SingleService">
        <v-container class="pa-0" fluid>
            <v-row dense>
                <div class="position-relative w-100">
                    <img class="w-100" :src="`/img/single-service/${ServiceImg[service.slug]}.svg`">
                    <v-container class="pt-0">
                        <div class="d-flex align-center position-absolute title-and-icon">
                            <img class="w-10" :src="`/img/single-service/icon/${ServiceImg[service.slug]}.svg`">
                            <div class="py-md-6 py-3 px-md-4 px-3 title" v-text="service.title"></div>
                        </div>
                    </v-container>

                </div>
            </v-row>
        </v-container>
        <v-container class="pt-0">
            <v-col cols="12" class="pt-0">
                <div class="content" v-html="service.content"></div>
            </v-col>
        </v-container>
    </div>
</template>

<style lang="scss">
.SingleService {
    padding: 0 0 24px 0;

    .title-and-icon {
        margin-top: -100px;

        .title {
            color: #FFFFFF;
            font-weight: 700;
            font-size: 20px;
            line-height: 28px
        }
    }

    .v-card-actions {
        background-color: #f8fafd;
        position: relative;

        &::before {
            content: "";
            display: block;
            width: 80%;
            position: absolute;
            top: 0;
            left: 50%;
            margin-left: -40%;
            height: 1px;
            background: radial-gradient(ellipse at center, #d1dbe7 0, rgba(255, 255, 255, 0) 75%);
        }
    }

    .content {
        margin-top: 0 !important;

        img {
            border-radius: 16px !important;
        }
    }
    @media only screen and (max-width: 767px) {
        .title-and-icon {
            margin-top: -60px;

            .title {
                font-size: 14px;
            }

            img {
                width: 18px;
            }
        }
    }
    @media only screen and (max-width: 360px) {
     

        .v-img {
            width: 100%;
            height: auto !important;
        }

        h2 {
            font-size: 18px;
            line-height: 25px;
        }

        .content img {
            width: 100% !important;
        }

        .content span {
            font-size: 12px !important;
            line-height: 25px;
        }
    }
}
</style>